Subject: RE: [External] : Re: bug#15740: 24.3.50; enabling & disabling custom themes is slow

From: Drew Adams <[email-masked]>
Date: Thu, 15 Jul 2021 14:55:23 +0000

> > Not so, custom themes - disabling all enabled themes
> > and then enabling one theme is painfully slow, and you see all of the
> > changes manifested on the screen, slowly.
> 
> I tried to reproduce this with
> 
> M-x customize-themes RET
> 
> and then selecting different themes, and I didn't see any particular
> slowness.  Are you still seeing this issue in recent versions of Emacs?
> 
> (A theme can contain arbitrary code, of course, so it can be arbitrarily
> slow, but that's up to the theme author.)

Yes, the problem is still there.  (Tested, e.g.,
with the latest Emacs release, 27.2.)

See the recipe from emacs -Q in https://arxiv.org/abs/2106.05096

Use C-x 5 2 a few times to get multiple frames.

Set option `doremi-custom-themes-accumulate' to
non-nil.  (That's the _default_ Emacs behavior,
I believe: to accumulate themes, instead of
replacing the last one with the next one.)

Use `M-x doremi-custom-themes+' to cycle among
the themes provided by default (`emacs -Q').

See that same message for how to compare with
color themes.

I'm using MS Windows.  Dunno whether that makes
a difference.